Bug 174347 - CVE-2005-3848 dst_entry leak DoS
CVE-2005-3848 dst_entry leak DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
public=20050818,reported=20051128,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-28 06:34 EST by Mark J. Cox (Product Security)
Modified: 2014-06-18 04:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0140
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 11:02:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-11-28 06:34:03 EST
This flaw affects 2.6 only, but affects RHEL4 due to the backport in ipsec.patch

+++ This bug was initially created as a clone of Bug #174345 +++

CVE-2005-3848 dst_entry leak
        Memory leak in the icmp_push_reply function in Linux 2.6
        before 2.6.12.6 and 2.6.13 allows remote attackers to cause a
        denial of service (memory consumption) via a large number of
        crafted packets that cause the ip_append_data function to
        fail, aka "DST leak in icmp_push_reply."

fixed upstream in 2.6.13.  Patch:
http://linux.bkbits.net:8080/linux-2.6/cset@4304f828jk2FxIJTqMiEOZTNdih6FA

discussion:
http://marc.theaimsgroup.com/?l=linux-kernel&m=112431016816937&w=2
http://marc.theaimsgroup.com/?l=linux-kernel&m=112439084918917&w=2
http://marc.theaimsgroup.com/?l=linux-kernel&m=112508479212728&w=2
Comment 1 Ernie Petrides 2006-01-11 18:36:02 EST
A fix for this problem has just been committed to the RHEL3 E7
patch pool this evening (in kernel version 2.4.21-37.0.1.EL).
Comment 4 Red Hat Bugzilla 2006-01-19 11:02:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0140.html
Comment 5 Ernie Petrides 2006-01-20 18:35:43 EST
A fix for this problem has also been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-39.EL).

Note You need to log in before you can comment on or make changes to this bug.